petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerASCIIPushTab

Adds one more tab to the amount that PetscViewerASCIIPrintf() lines are tabbed.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPushTab(PetscViewer viewer)

Not Collective, but only first processor in set has any effect

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen()

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

### Level

developer

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/vec/vec/utils/tagger/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages